#
# spec file for package SDL_ttf
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           SDL_ttf
%define lname	libSDL_ttf-2_0-0
#Note: thankfully no overlap with SDL2, which is libSDL2_ttf-2_0-0.
Version:        2.0.11
Release:        lp150.1.7
Summary:        SDL TrueType library
License:        Zlib
Group:          Development/Libraries/X11
Url:            http://libsdl.org/projects/SDL_ttf/release-1.2.html

# removed VisualC dir, Watcom-Win32.zip, Xcode and Xcode-iOS dirs from upstream tarball [bnc#508180]
Source:         %name-%version-repack.tar.bz2
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sdl)

%description
This is a sample library that allows you to use TrueType fonts in your
SDL applications.

%package -n %lname
Summary:        Simple DirectMedia Layer – Truetype library
Group:          System/Libraries
Provides:       SDL_ttf = %version-%release
Obsoletes:      SDL_ttf < %version-%release

%description -n %lname
This is a sample library that allows you to use TrueType fonts in your
SDL applications.

%package -n libSDL_ttf-devel
Summary:        Development files for the SDL TrueType library
Group:          Development/Libraries/X11
Requires:       %lname = %version
Provides:       SDL_ttf-devel = %version-%release
Obsoletes:      SDL_ttf-devel < %version-%release

%description -n libSDL_ttf-devel
This is a sample library that allows you to use TrueType fonts in your
SDL applications.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc CHANGES COPYING README
%_libdir/libSDL_ttf-2*.so.*

%files -n libSDL_ttf-devel
%defattr(-,root,root)
%_includedir/SDL/
%_libdir/libSDL_ttf.so
%_libdir/pkgconfig/SDL_ttf.pc

%changelog
* Thu Jan  8 2015 jengelh@inai.de
- Improve package summary and description. Drop --with-pic which
  is enabled implicitly anyway, remove redundant Requires.
* Thu Nov 20 2014 olaf@aepfle.de
- Remove self-obsoletes
* Tue Aug 13 2013 jengelh@inai.de
- Some metadata spruce-up: add current URLs, softer wildcarding
  in the files list, more robust make install call
* Tue Aug 13 2013 prusnak@opensuse.org
- updated to 2.0.11
  * SDL_ttf is now under the zlib license
  * Improved font glyph caching for non-latin languages
  * Added API to get kerning info: TTF_GetFontKerningSize()
  * Added Android.mk to build on the Android platform
- updated to 2.0.10
  * Find the Unicode or symbol character map if it's available in the font
  * Set the appropriate font styles for bold and italic fonts
  * Added font style TTF_STYLE_STRIKETHROUGH
  * Fixed size calculations taking outline and underline into account
  * Added API for font outlining: TTF_GetFontOutline()/TTF_SetFontOutline()
  * Added API to disable kerning: TTF_GetFontKerning()/TTF_SetFontKerning()
  * Fixed height calculation for fonts that extend below the font height
  * Added access to font hinting: TTF_GetFontHinting()/TTF_SetFontHinting()
  * Added TTF_GlyphIsProvided() to check whether a glyph is in a given font
* Thu Jan  3 2013 crrodriguez@opensuse.org
- Do not buildRequire metapackage xorg-x11-devel it is not
  needed and adds significant bloat
* Tue May  8 2012 cfarrell@suse.com
- license update: LGPL-2.1+
  SPDX syntax - dropping Freetype license from spec file as no files found
  under that license.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Fri Sep 16 2011 jengelh@medozas.de
- Add libSDL_ttf-devel to baselibs
- Remove redundant tags
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
* Wed Jan 27 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Oct  7 2009 prusnak@suse.cz
- fix provides and obsoletes [bnc#544957]
* Fri May 29 2009 prusnak@suse.cz
- removed VisualC.zip, Watcom-OS2.zip, Xcode.tar.gz from upstream
  tarball [bnc#508180]
* Wed May 20 2009 prusnak@suse.cz
- follow Shared Library Policy
* Sun Jul 13 2008 crrodriguez@suse.de
- remove unusable static libraries
- SDL_ttf-devel requires SDL-devel
* Sun Dec 16 2007 sndirsch@suse.de
- fixed BuildRequires for SUSE < 10.2
* Wed Jul 25 2007 prusnak@suse.cz
- updated to 2.0.9
  * fixed rendering of fonts with 2 bit and 4 bit embedded graymaps
  * fixed bug in solid bold glyph rendering
  * fixed crash when passing NULL to TTF_CloseFont()
* Sun Jul 22 2007 aj@suse.de
- Cleanup BuildRequires.
* Thu Jun  7 2007 prusnak@suse.cz
- split devel subpackage
* Fri Mar  2 2007 prusnak@suse.cz
- cleaned spec file
* Fri Jun 23 2006 nadvornik@suse.cz
- do not use freetype2 internals
* Fri Jan 27 2006 nadvornik@suse.cz
- fixed BuildRequires
* Wed Jan 25 2006 nadvornik@suse.cz
- fixed crash on nonexistant font file [#145040]
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Tue Jan  6 2004 nadvornik@suse.cz
- fixed to compile with new freetype
* Fri Jul 25 2003 nadvornik@suse.cz
- updated to 2.0.6
- added buildroot
* Mon Dec 16 2002 ro@suse.de
- fix build with automake, use "AUTOMAKE_OPTIONS = foreign"
* Mon Sep  2 2002 uli@suse.de
- use %%_libdir (bug #18726)
* Thu Jun 13 2002 uli@suse.de
- update -> 2.0.5 (bugfixes, support for selecting individual font
  faces, support for foreground/background color in showfont)
* Tue Jun 11 2002 ro@suse.de
- run autoreconf (fixes build on ppc64)
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Tue Aug  7 2001 uli@suse.de
- initial package
